<?php
/**
 * OSB V2-Payment Module version 1.10.0 for Magento 1.4-1.9. Support contact : support@osb.pf.
 *
 * @category  Payment
 * @package   Osb
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2019 Lyra Network and contributors
 * @license   
 */

namespace Lyranetwork\Osb\Model\Api\Ws;

class CancelCapturedPaymentResponse extends WsResponse
{
    /**
     * @var CancelCapturedPaymentResult $cancelCapturedPaymentResult
     */
    private $cancelCapturedPaymentResult = null;

    /**
     * @return CancelCapturedPaymentResult
     */
    public function getCancelCapturedPaymentResult()
    {
        return $this->cancelCapturedPaymentResult;
    }

    /**
     * @param CancelCapturedPaymentResult $cancelCapturedPaymentResult
     * @return CancelCapturedPaymentResponse
     */
    public function setCancelCapturedPaymentResult($cancelCapturedPaymentResult)
    {
        $this->cancelCapturedPaymentResult = $cancelCapturedPaymentResult;
        return $this;
    }
}
