<?php
/**
 * Copyright © Lyra Network.
 * This file is part of OSB plugin for Magento. See COPYING.md for license details.
 *
 * @author    Lyra Network (https://www.lyra.com/)
 * @copyright Lyra Network
 * @license   https://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 */

class Lyranetwork_Osb_Block_Choozeo extends Lyranetwork_Osb_Block_Abstract
{
    protected $_model = 'choozeo';

    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate('osb/choozeo.phtml');
    }

    public function getAvailableOptions()
    {
        $amount = $this->getMethod()->getInfoInstance()->getQuote()->getBaseGrandTotal();
        return $this->_getModel()->getAvailableOptions($amount);
    }
}
